%%%  Tracciamento requisiti --> componenti  %%%

\begin{longtable}{|c|X|}
\hline
\textbf{Requisiti} & \textbf{Componenti} \\
\hline
\hline
FObb-01 & MainWindow \\
		& RenderWidget \\
		& GameLoop \\
		& HumanPlayer \\
\hline
FObb-02 & MainWindow \\
		& LocalSettings \\
		& HumanPlayer \\
		& AIPlayer \\
\hline
FObb-03 & MainWindow \\
		& LocalSettings \\
\hline
FObb-04 & - \\
\hline
FObb-05 & RenderWidget::uncheckedDraw() \\
		& CubeRenderArea::drawMove() \\
\hline
FObb-20 & MainWindow \\
		& GameServer \\
		& GameClient \\
		& RemotePlayer \\
\hline
FObb-21 & MainWindow \\
		& ServerSettings \\
\hline
FObb-22 & ServerSocket::sendGameSettings() \\
\hline
FObb-23 & ClientSocket::joinGame() \\
		& RenderWidget::uncheckedDraw() \\
		& CubeRenderArea::drawMove() \\
\hline
FObb-40 & MainWindow \\
		& ClientSocket::cancelJoin() \\
\hline
FObb-41 & MainWindow \\
\hline
FObb-42 & AI \\
		& ThreatSearchAI \\
		& CCThreatSearchAI \\
		& AIPlayer \\
\hline
FObb-43 & GameLoop \\
		& GameMatrix::add() \\
		& GameMatrix::check() \\
\hline
FObb-45 & MainWindow \\
		& GameServer \\
\hline
\hline
FOpz-01 & ChatWidget \\
		& Network::setupChat() \\
		& StreamSocket::sendChatMsg() \\
		& StreamSocket::receivedChatMsg() \\
\hline
FOpz-02 & AIPlayer::setSkill() \\
\hline
FOpz-03 & HistoryModel \\
		& MainWindow::showPastGameStatus() \\
		& RenderWidget::uncheckedDraw() \\
\hline
FOpz-04 & HistoryModel \\
		& MainWindow::undoMoves() \\
		& RenderWidget::uncheckedDraw() \\
		& GameMatrix::clear() \\
		& GameMatrix::setLastRound() \\
		& GameLoop::setTurn() \\
\hline
FOpz-05 & Suggester::suggestMove() \\
		& RenderWidget::highlightSuggested() \\
\hline
FOpz-06 & MainWindow \\
		& ServerSettings \\
\hline
FOpz-07 & MainWindow::forceMove() \\
		& GameLoop::forceMove() \\
		& ThreatSearchAI::forceMove() \\
\hline
FOpz-08 & MainWindow::loadGame() \\
\hline
FOpz-09 & MainWindow::saveGame() \\
\hline
FOpz-10 & GameServer \\
\hline
\hline
QObb-01 & StreamSocket::handleError() \\
\hline
QObb-02 & - \\
\hline
QObb-03 & MainWindow::forceMove() \\
		& ThreatSearchAI::forceMove() \\
\hline
\hline
IObb-01 & - \\
\hline
IObb-02 & RenderWidget \\
		& CubeRenderArea \\
		& CubeRenderArea::rotateCamera() \\
		& CubeRenderArea::zoomCamera() \\
		& SceneGraph \\
		& SceneGraph::applyExplosionToCube() \\
		& SceneGraph::applyImplosionToCube() \\

\hline
IObb-03 & MainWindow \\
\hline
IObb-04 & MainWindow \\
\hline
IObb-05 & MainWindow \\
\hline
IObb-06 & GUISettings \\
\hline
\hline
IOpz-01 & - \\
\hline
IOpz-02 & GUISettings \\
		& SettingsManager \\
		& RenderWidget::DefaultCubeColor \\
\hline
IOpz-03 & ChatWidget \\
\hline
IOpz-04 & MainWindow \\
\hline
IOpz-05 & MainWindow \\
\hline
IOpz-06 & TimerWidget \\
\hline
\end{longtable}
